Web lists-archives.com

Re: [Spca50x-devs] v4l1 compat wrapper version 0.3




marc_und_ramona wrote:
> Hi,
> 
> thanks, I have done that, ie added the line to both files and I got a bit further. Unfortunately the next errors are:
> 
> debian:/usr/local/src/v4l1-compat-0.3# !make
> make
> gcc -fpic -g -Wall -o log.o -c log.c
> log.c:97: error: ‘VIDIOC_ENUM_FRAMESIZES’ undeclared here (not in a function)
> log.c:97: error: array index in initializer not of integer type
> log.c:97: error: (near initialization for ‘v4l2_ioctls’)
> log.c:98: error: ‘VIDIOC_ENUM_FRAMEINTERVALS’ undeclared here (not in a function)
> log.c:98: error: array index in initializer not of integer type
> log.c:98: error: (near initialization for ‘v4l2_ioctls’)
> log.c:99: error: ‘VIDIOC_G_ENC_INDEX’ undeclared here (not in a function)
> log.c:99: error: array index in initializer not of integer type
> log.c:99: error: (near initialization for ‘v4l2_ioctls’)
> log.c:100: error: ‘VIDIOC_ENCODER_CMD’ undeclared here (not in a function)
> log.c:100: error: array index in initializer not of integer type
> log.c:100: error: (near initialization for ‘v4l2_ioctls’)
> log.c:101: error: ‘VIDIOC_TRY_ENCODER_CMD’ undeclared here (not in a function)
> log.c:101: error: array index in initializer not of integer type
> log.c:101: error: (near initialization for ‘v4l2_ioctls’)
> log.c:102: error: ‘VIDIOC_DBG_S_REGISTER’ undeclared here (not in a function)
> log.c:102: error: array index in initializer not of integer type
> log.c:102: error: (near initialization for ‘v4l2_ioctls’)
> log.c:103: error: ‘VIDIOC_DBG_G_REGISTER’ undeclared here (not in a function)
> log.c:103: error: array index in initializer not of integer type
> log.c:103: error: (near initialization for ‘v4l2_ioctls’)
> log.c:104: error: ‘VIDIOC_G_CHIP_IDENT’ undeclared here (not in a function)
> log.c:104: error: array index in initializer not of integer type
> log.c:104: error: (near initialization for ‘v4l2_ioctls’)
> make: *** [log.o] Error 1
> debian:/usr/local/src/v4l1-compat-0.3#
> 
> 

Thats due to you have somewhat older headers, just comment out the offending 
lines (add // at the start)

Or wait for version 0.5, where I'll have them removed too, which I'm about to 
release any minute now :)

Regards,

Hans

-------------------------------------------------------------------------
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://sourceforge.net/services/buy/index.php
_______________________________________________
Spca50x-devs mailing list
Spca50x-devs@xxxxxxxxxxxxxxxxxxxxx
https://lists.sourceforge.net/lists/listinfo/spca50x-devs